{ pkgs, ... }:
{
  # Enable qt
  qt.enable = true;

  # Use gtk platform theme
  qt.platformTheme = "gtk";

  # Use gtk2 style
  qt.style.name = "gtk2";

  # Enable gtk
  gtk.enable = true;

  # Gtk cursor theme
  gtk.cursorTheme.package = pkgs.catppuccin-cursors.frappeRosewater;
  gtk.cursorTheme.name = "Catppuccin-Frappe-Rosewater-Cursors";

  # Gtk look theme
  gtk.theme.package = pkgs.catppuccin-gtk;
  gtk.theme.name = "Catppuccin-Frappe-Standard-Blue-Dark";

  # Gtk icon theme
  gtk.iconTheme.package = (pkgs.catppuccin-papirus-folders.override { flavor = "frappe"; accent = "pink"; });
  gtk.iconTheme.name = "Papirus-Dark";

  # Font name
  gtk.font.name = "Noto Sans";
  gtk.font.size = 10;
}
