{ config, ... }:
{
  # Nvidia settings
  hardware.nvidia = {

    # Modesetting is required.
    modesetting.enable = true;

    # Nvidia power management. Experimental, and can cause sleep/suspend to fail.
    powerManagement.enable = true;

    # Nvidia fine grainder power management, super experimental.
    powerManagement.finegrained = false;

    # Open kernel drivers
    open = false;

    # Enable the Nvidia settings menu,
    nvidiaSettings = true;

    # Optionally, you may need to select the appropriate driver version for your specific GPU.
    package = config.boot.kernelPackages.nvidiaPackages.stable;
  };

  # Nvidia optimus prime settings
  hardware.nvidia.prime = {
    reverseSync.enable = true;
    intelBusId = "PCI:5:0:0";
    nvidiaBusId = "PCI:1:0:0";
  };
}
